LFR-FSW - Bug #484

WRONG SEQUENCE_CNT on PACKET_ID=0xccc with ASM=BP1=4s
13/08/2015 05:43 PM - Veronique bouzid

Status: Closed Start date: 13/08/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Quand en normal mode, on configure les parametres

-ASM = 4s

-BP1=4s

On observe un dysfonctionnement dans les numéros de sequence, le SEQUENCE_CNT=1 arrive apres SEQUENCE_CNT = 4, cela
n est pas grave si le TIME est respecté mais ce n 'est pas le cas.

15:57:56.78621, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x800000118635, PACKET_ID=0xccc, SEQUENCE_CNT=0
15:57:56.810595, TM_LFR_SCIENCE_NORMAL_ASM_FO0, TIME=0x800000118635, PACKET_ID=0xccc, SEQUENCE_CNT=2
15:57:56.817362, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x800000118635, PACKET_ID=0xccc, SEQUENCE_CNT=3
15:57:56.831791, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x800000118635, PACKET_ID=0xccc, SEQUENCE_CNT=4
15:57:56.835711, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x80000011863d, PACKET_ID=0xccc, SEQUENCE_CNT=1
15:57:56.844743, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x80000011863d, PACKET_ID=0xccc, SEQUENCE_CNT=5
15:57:56.858449, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x80000011863d, PACKET_ID=0xccc, SEQUENCE_CNT=6
15:57:56.864549, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x80000011863d, PACKET_ID=0xccc, SEQUENCE_CNT=7
15:57:56.869359, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x800000118723, PACKET_ID=0xccc, SEQUENCE_CNT=8
15:57:56.879156, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x800000118723, PACKET_ID=0xccc, SEQUENCE_CNT=9
15:57:56.884622, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x800000118723, PACKET_ID=0xccc, SEQUENCE_CNT=10
15:57:56.889497, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x800000118723, PACKET_ID=0xccc, SEQUENCE_CNT=11

On doit observer une incrementation de 1 dans le numero de sequence chronologiquement
pour tous ces produits car ils ont le meme PACKET_ID=0xccc et DESTINATION_ID=0.

Ce schéma se trouve durant le test.
Le script utilisé est /opt/VALIDATION_RS/Ifrverif/LFR_SVS/SVS-0029/normal_mode_parameter_set.py

Les fichiers (2015_08_10-17_09_45-Detail.txt et 2015_08_10-17_09_45-Extract.txt) se trouvent dans le répertoire
data/R3/3.0.0.8/1.1.88/SVS-0029.

Contexte du test

FSW 2.0.2.3

VHDL 1.1.88

Version = 0.6.2, Branch = default, Changeset = 819d0376d481
EM 2

StarDundee spacewire

History

#1 - 28/09/2015 06:54 PM - Veronique bouzid
le contexte du test n'est pas

FSW 2.0.2.3

mais

FSW 3.0.0.8

#2 - 30/09/2015 12:09 PM - paul leroy

- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid
bug corrigé dans fsw >= 3.0.0.9

#3 - 02/10/2015 12:42 PM - Veronique bouzid

- Status changed from Resolved to Closed

Le bug est corrigé avec FSW = 3.0.0.9

le script extract_seq_cnt.py permet d'extraire les bonnes informations, le résultat est dans le fichier 2015_10_02-08_51_52-Extract-seq-cnt.txt
Voici la sequence observée maintenant en NORMAL MODE avec BP1 = ASM =4s

07:46:47.887231, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x8000005a2fbf, PACKET_ID=0xccc, SEQUENCE_CNT=0
07:46:47.908439, TM_LFR_SCIENCE_NORMAL_ASM_FO0, TIME=0x8000005a2fbf, PACKET_ID=0xccc, SEQUENCE_CNT=1
07:46:47.920399, TM_LFR_SCIENCE_NORMAL_ASM_FO0, TIME=0x8000005a2fbf, PACKET_ID=0xccc, SEQUENCE_CNT=2
07:46:47.92518, TM_LFR_SCIENCE_NORMAL_ASM_FO0, TIME=0x8000005a2fbf, PACKET_ID=0xccc, SEQUENCE_CNT=3
07:46:47.938244, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x8000005a2fc7, PACKET_ID=0xccc, SEQUENCE_CNT=4
07:46:47.940714, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x8000005a2fc7, PACKET_ID=0xccc, SEQUENCE_CNT=5
07:46:47.953713, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x8000005a2fc7, PACKET_ID=0xccc, SEQUENCE_CNT=6
07:46:47.967117, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x8000005a2fc7, PACKET_ID=0xccc, SEQUENCE_CNT=7
07:46:47.972126, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x8000005a30ad, PACKET_ID=0xccc, SEQUENCE_CNT=8
07:46:47.974325, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x8000005a30ad, PACKET_ID=0xccc, SEQUENCE_CNT=9
07:46:47.979684, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x8000005a30ad, PACKET_ID=0xccc, SEQUENCE_CNT=10
07:46:47.992016, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x8000005a30ad, PACKET_ID=0xccc, SEQUENCE_CNT=11

07:46:51.891868, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x8000005e2fbe, PACKET_ID=0xccc, SEQUENCE_CNT=12

07:46:51.893727, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x8000005e2fbe, PACKET_ID=0xccc, SEQUENCE_CNT=13
07:46:51.91263, TM_LFR_SCIENCE_NORMAL_ASM_FO0, TIME=0x8000005e2fbe, PACKET_ID=0xccc, SEQUENCE_CNT=14

07:46:51.931799, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x8000005e2fbe, PACKET_ID=0xccc, SEQUENCE_CNT=15
07:46:51.937633, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x8000005e2fc6, PACKET_ID=0xccc, SEQUENCE_CNT=16

07:46:51.940434, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x8000005e2fc6, PACKET_ID=0xccc, SEQUENCE_CNT=17
07:46:51.958237, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x8000005e2fc6, PACKET_ID=0xccc, SEQUENCE_CNT=18
07:46:51.968445, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x8000005e2fc6, PACKET_ID=0xccc, SEQUENCE_CNT=19
07:46:51.975727, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x8000005e30ab, PACKET_ID=0xccc, SEQUENCE_CNT=20
07:46:51.990198, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x8000005e30ab, PACKET_ID=0xccc, SEQUENCE_CNT=21
07:46:51.998079, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x8000005e30ab, PACKET_ID=0xccc, SEQUENCE_CNT=22
07:46:52.003324, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x8000005e30ab, PACKET_ID=0xccc, SEQUENCE_CNT=23

Les fichiers (2015_10_02-08_51_52*) sont stockés dans le répertoire /home/validation/data/R3/3.0.0.9/1.1.89/SVS-0029.

Contexte du test

FSW 3.0.0.9

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee
